petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDrawTensorContour

PetscDraws a contour plot for a two-dimensional array that is stored as a PETSc vector.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawTensorContour(PetscDraw draw,int m,int n,const PetscReal xi[],const PetscReal yi[],PetscReal *v)

Collective on PetscDraw, but PetscDraw must be sequential

### Input Parameters

| draw | - the draw context
| m,n | - the global number of mesh points in the x and y directions
| xi,yi | - the locations of the global mesh points (optional, use NULL to indicate uniform spacing on [0,1])
| V | - the values

### Options Database Keys

| -draw_x_shared_colormap | - Indicates use of private colormap
| -draw_contour_grid | - PetscDraws grid contour

### See Also

PetscDrawTensorContourPatch()

Level:intermediate
Location:src/sys/classes/draw/interface/dtri.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages